﻿  -- Search Selection
    function CreateAvailableSearch(id,parent,xOf,yOf)
        local title = C_LFGList.GetCategoryInfo(id);
        local SearchBTN = CreateFrame("Button", "Search_"..id..title,parent.Search_Category_Frame)
        SearchBTN:SetPoint("TOPLEFT",parent.Search_Category_Frame,"TOPLEFT", xOf,yOf);
        SearchBTN.width = 130;
        SearchBTN.height = 20;
        SearchBTN:SetHeight(SearchBTN.height)
        SearchBTN:SetWidth(SearchBTN.width);
        SearchBTN:SetBackdrop( {
            bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
            --edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
            tile = true,
            tileSize = 32,
            edgeSize = 32,
            insets = { left = 0, right = 0, top = 0, bottom = 0 }
        } );
        
        SearchBTN.id = id;

        SearchBTN.title= SearchBTN:CreateFontString(title..id, "OVERLAY");
        SearchBTN.title:SetPoint("CENTER", SearchBTN, "CENTER",0,0);
        SearchBTN.title:SetFont("Fonts\\FRIZQT__.TTF", 12);
        SearchBTN.title:SetText(title);

        SearchBTN:SetScript("OnClick", function(self) CustomMultiFinder_search.SearchID  = self.id; parent.Search_Category.title:SetText(self.title:GetText()); lookForLFGMatches(true); parent.Search_Category_Frame:Hide(); end);


    end
     -------------------------------------------------------------------------------------
     function createRoleTexture(texture,parent,xOf,yOf)
        local cIcon = parent:CreateTexture("roleCountBG"..texture, "BACKGROUND");
        cIcon:SetTexture("Interface\\Icons\\"..texture);
        cIcon:SetWidth(12)
        cIcon:SetHeight(12)
        cIcon:SetPoint("TOPRIGHT", parent, "TOPRIGHT", xOf, yOf);
        
        local tIcon = parent:CreateTexture("roleCountRorder", "MEDIUM");
        tIcon:SetTexture("Interface\\Minimap\\MiniMap-TrackingBorder");
        tIcon:SetWidth(36)
        tIcon:SetHeight(36)
        tIcon:SetPoint("TOPRIGHT", cIcon, "TOPRIGHT", 18, 3);
        
        local roleCount = parent:CreateFontString("roleCount", "OVERLAY");
        roleCount:SetPoint("TOPRIGHT", parent, "TOPRIGHT", xOf+15, yOf-3);
        roleCount:SetFont("Fonts\\FRIZQT__.TTF", 12);

        return roleCount;
     end

       -- Role check Buttons
    function CreateRoleCheckBtn(cFrame,name,boolean,parent,texture,xOfset,yOfset)
        cFrame = CreateFrame("CheckButton", name, CustomMultiFinder_search);
        cFrame:SetWidth(31);
        cFrame:SetHeight(31);
        cFrame:SetFrameStrata("LOW");
        cFrame:SetToplevel(true);
        --cFrame:SetHighlightTexture("Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight");
        cFrame:SetHighlightTexture("Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-73");
        --cFrame:SetMovable(true)
        cFrame:SetPoint("TOPRIGHT", parent, "TOPRIGHT", xOfset, yOfset);
        --cFrame:SetUserPlaced(true)
        cFrame:SetEnabled(boolean);
        if not boolean then
            cFrame:Hide();
        else
            cFrame:LockHighlight();
        end

        local cIcon = cFrame:CreateTexture("RoleCheckTexture", "BACKGROUND");
        cIcon:SetTexture("Interface\\Icons\\"..texture);
        cIcon:SetWidth(20)
        cIcon:SetHeight(20)
        cIcon:SetPoint("TOPLEFT", cFrame, "TOPLEFT", 7, -5);
        cFrame:RegisterForClicks("LeftButtonUp", "RightButtonUp");
        cFrame:RegisterForDrag("LeftButton");

        local cIcon = cFrame:CreateTexture("RoleCheckTexture", "BORDER");
        cIcon:SetTexture("Interface\\Minimap\\MiniMap-TrackingBorder");
        cIcon:SetWidth(50)
        cIcon:SetHeight(50)
        cIcon:SetPoint("TOPLEFT", cFrame, "TOPLEFT", 0, 0);

    end
   -----------------------------------------------------------------------------------------
     ----------------------------------------------------------------------------------
     function createInfoTable(frame,group_Id)
         frame.InfoTable = {};
         local _,type,title,description,_,_,_,_,_,_,_,leader = C_LFGList.GetSearchResultInfo(group_Id)
         frame.InfoTable["groupID"] = group_Id;
         frame.InfoTable["title"] = title;
         frame.InfoTable["type"] = C_LFGList.GetActivityInfo(type);
         frame.InfoTable["description"] = description;
         frame.InfoTable["leader"] = leader;
         
         local count = 0;
         frame.InfoTable["friends"] = {};
         local a = C_LFGList.GetSearchResultFriends(group_Id);
         for b,c in pairs(a) do
             frame.InfoTable["friends"][b] = c;
             count = count + 1;
         end
         frame.InfoTable["friendsCount"]=count;

         frame.InfoTable["role"] = {};
         local a = C_LFGList.GetSearchResultMemberCounts(group_Id);
         for b,c in pairs(a) do
             frame.InfoTable["role"][b] = c;
         end
     end

     --  Search Edit box

    function createEditBoxFrame(frame_name, parent, value, width, height, x_ofset, y_ofset)

        local frame = CreateFrame("EditBox", frame_name, parent, "InputBoxTemplate")
        frame:SetPoint("TOPLEFT", parent, "TOPLEFT", x_ofset, y_ofset)
        frame:SetText(value)
        frame:SetWidth(width)
        frame:SetHeight(height)
        frame:SetAttribute("virtual", true)
        frame:EnableMouse(true)
        frame:SetAutoFocus(false)
        frame:SetScript("OnEnterPressed", function(self)
            value = frame:GetText();
            -- frame:Insert(value)
            frame:ClearFocus();
            lookForLFGMatches(true);
        end );
       -- frame:SetScript("OnChar", function(self, key)
       --     value = value .. tostring(key);
       -- end );
        frame:Hide()

        return frame
    end
    
    -------------------------------------------------------------------------------------------------------


    ------------------------------------------------------------------------------------------
    function CostomMultiFinderResult(frame,frameName, group_Id,index)
    if frame == nil then
        frame = CreateFrame("Button", frameName, CustomMultiFinder_search);
        frame.width = CustomMultiFinder_search:GetWidth();
        frame.height = 45;

        frame:SetFrameStrata("FULLSCREEN_DIALOG")
        frame:SetSize(frame.width, frame.height)
        frame:SetBackdrop( {
            bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
            --edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
            tile = true,
            tileSize = 32,
            edgeSize = 32,
            insets = { left = 8, right = 8, top = 8, bottom = 8 }
            } )
        frame:SetBackdropColor(0, 0, 0, 1)
        frame:SetFrameStrata("LOW");
        frame:SetToplevel(true)
        frame:EnableMouse(true)
        --frame:EnableMouseWheel(true)
        frame:SetMovable(true)
        frame:SetResizable(true)
        frame:SetPoint("TOPLEFT", CustomMultiFinder_search, "TOPLEFT", 0, (-1*(index)*30)-70);
        frame:SetUserPlaced(true)

        frame.Result_title = frame:CreateFontString("title", "OVERLAY");
        frame.Result_title:SetPoint("TOPLEFT",frame,"TOPLEFT",10,-10);
        frame.Result_title:SetFont("Fonts\\FRIZQT__.TTF", 14, "THICKOUTLINE");
        frame.tancCount = createRoleTexture("INV_Shield_04",frame,-95,-20)
        frame.healCount = createRoleTexture("Spell_ChargePositive",frame,-60,-20)
        frame.dpsCount = createRoleTexture("Ability_DualWield",frame,-25,-20)


    end
    --local _,type,title,description,_,_,_,_,_,_,_,leader = C_LFGList.GetSearchResultInfo(group_Id)

        -- 1 group_id
        -- 2 16=Custom PvE   activity type
        -- 3 Title
        -- 4 Description
        -- 5
        -- 6 0
        -- 7 2506  ,284 ,585 ,510
        -- 8 0
        -- 9 0
        --10 0
        --11
        --12 Leader  ||  Leader-Ralm
        --13 1   , 11 ,4 ,13    #of ppl in the raid
        --14  , true  ,true     

          
       createInfoTable(frame,group_Id);
        if frame.InfoTable["friendsCount"] > 0 then
            frame.Result_title:SetTextColor(0.33, 0.83, 0.99, 1)
        else
            frame.Result_title:SetTextColor(0.8, 0.83, 0.25, 1)
        end
       

       frame.Result_title:SetText(frame.InfoTable["title"]);
       frame.tancCount:SetText(frame.InfoTable["role"]["TANK"]);
       frame.healCount:SetText(frame.InfoTable["role"]["HEALER"]);
       frame.dpsCount:SetText(frame.InfoTable["role"]["DAMAGER"]);
       


       frame:SetScript("OnEnter", function(self)
                GameTooltip_SetDefaultAnchor(GameTooltip, UIParent);
                 GameTooltip:SetText(self.InfoTable["title"]);  -- [, r [, g [, b [, a]]]])
                 self.InfoTable["leader"] = self.InfoTable["leader"] or "";
                 GameTooltip:AddLine("Leader: ".. self.InfoTable["leader"]);
                 GameTooltip:AddLine("                                         "..frame.InfoTable["type"]);
                 GameTooltip:AddLine("-----------------------------------------------");
                 function devideString(str)
                    local send = 35;
                    if string.len(str) > send then

                        send = string.find(str," ",send);
                        if not (send == nil) then
                            GameTooltip:AddLine( string.sub(str,0,send));
                            devideString(string.sub(str,send));
                        else
                            GameTooltip:AddLine(str);
                        end
                    end
                 end
                 if string.len(self.InfoTable["description"])> 1 then
                     devideString(self.InfoTable["description"]);
                 end
                 GameTooltip:AddLine("-----------------------------------------------");


                 if  frame.InfoTable["friendsCount"] > 0 then
                     GameTooltip:AddLine("Friends: ");
                     for a,b in pairs(self.InfoTable["friends"])  do
                         GameTooltip:AddLine("       "..b);
                     end
                 end

                 for a,b in pairs(self.InfoTable["role"])  do
                    if not (a == "DAMAGER") and not (a=="HEALER") and not( a == "TANK") and not(a=="NOROLE")then
                        GameTooltip:AddLine(a..": "..b);
                    end
                 end
                 GameTooltip:AddLine("-----------------------------------------------");
                 GameTooltip:AddLine("NOROLE: "..self.InfoTable["role"]["NOROLE"]);
                GameTooltip:Show();
            end
       );

       frame:SetScript("OnLeave", function()
                GameTooltip:Hide()
            end
        );
       frame:SetScript("OnClick", function() C_LFGList.ApplyToGroup(group_Id, "", CustomMultiFinder_search.Role_Tank, CustomMultiFinder_search.Role_Heal, CustomMultiFinder_search.Role_DPS) end)

       CustomMultiFinder_search.results[index] = frame;
       frame:Show();

end 



----------------------------------------------------------------------------------------------------------------------
     -- Brains of the operation -
    function lookForLFGMatches(bypass_time_check)
        CustomMultiFinder_search.time = CustomMultiFinder_search.time or 0;
        if CustomMultiFinder_search.time < GetTime() or bypass_time_check then
            CustomMultiFinder_search.time = GetTime();
            CustomMultiFinder_search.Parameters = { strsplit(",", CustomMultiFinder_search.Box:GetText(), nil) };

            
            
            C_LFGList.Search(CustomMultiFinder_search.SearchID, ""); --------Search params
           

             _, CustomMultiFinder_search.data_b = C_LFGList.GetSearchResults();



            for i=0,9 do
               if not (CustomMultiFinder_search.results[i] == nil) then
                   CustomMultiFinder_search.results[i]:Hide();
               end
            end

            CustomMultiFinder_search.data_index = 0;
            for a, c in pairs(CustomMultiFinder_search.data_b) do
                CustomMultiFinder_search.data_str = select(3, C_LFGList.GetSearchResultInfo(c));
                CustomMultiFinder_search.data_matchStr = string.lower(CustomMultiFinder_search.data_str );
                for j, param in pairs(CustomMultiFinder_search.Parameters) do
                    if not(string.find(CustomMultiFinder_search.data_matchStr, string.lower(param)) == nil) then
                      --  CreateResult(c, str, index)
                        CostomMultiFinderResult(CustomMultiFinder_search.results[index],"CustomMultiFinder_result"..CustomMultiFinder_search.data_index, c,CustomMultiFinder_search.data_index)
                        --ChatFrame1:AddMessage(index.."");
                        CustomMultiFinder_search.data_index = CustomMultiFinder_search.data_index + 1;
                        if CustomMultiFinder_search.data_index > 9 then
                            return;
                        end
                    end
                end
            end
        end

    end


    




-------------------------------------------------------------------------------------------------------------------------------


    --  Main Frame
    function CreateAllFrames()

    CustomMultiFinder_search = CustomMultiFinder_search or CreateFrame("Frame", "CustomMultiFinder_search", UIParent);
    
    CustomMultiFinder_search.time = CustomMultiFinder_search.time or 0;
    CustomMultiFinder_search.results = CustomMultiFinder_search.results or { };
    
    
    CustomMultiFinder_search.width = math.max(UIParent:GetWidth() / 5, 256);
    CustomMultiFinder_search.height = 75;
    CustomMultiFinder_search:SetFrameStrata("FULLSCREEN_DIALOG");
    CustomMultiFinder_search:SetSize(CustomMultiFinder_search.width, CustomMultiFinder_search.height)
    CustomMultiFinder_search:SetBackdrop( {
        bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
        edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
        tile = true,
        tileSize = 32,
        edgeSize = 32,
        insets = { left = 8, right = 8, top = 8, bottom = 8 }
    } );
    CustomMultiFinder_search:SetBackdropColor(0, 0, 0, 1);
    CustomMultiFinder_search:SetFrameStrata("LOW");
    CustomMultiFinder_search:SetToplevel(true);
    CustomMultiFinder_search:EnableMouse(true);
    CustomMultiFinder_search:EnableMouseWheel(true);
    CustomMultiFinder_search:SetMovable(true);
    CustomMultiFinder_search:SetResizable(true);
    CustomMultiFinder_search:SetPoint("CENTER", UIParent, "CENTER", 0, 0);
    CustomMultiFinder_search:SetUserPlaced(true);
    CustomMultiFinder_search:RegisterForDrag("LeftButton");
    CustomMultiFinder_search:SetScript("OnDragStart", CustomMultiFinder_search.StartMoving);
    CustomMultiFinder_search:SetScript("OnDragStop", CustomMultiFinder_search.StopMovingOrSizing);
    
    --=====Registered Events======================================================================
    --CustomMultiFinder_search:RegisterEvent("LFG_LIST_AVAILABILITY_UPDATE");
    --CustomMultiFinder_search:RegisterEvent("UPDATE_LFG_LIST");
    CustomMultiFinder_search:RegisterEvent("LFG_LIST_SEARCH_RESULT_UPDATED");
    --===========================================================================

    CustomMultiFinder_search:SetScript("OnEvent", function()
        if CustomMultiFinder_search:IsShown() then
            lookForLFGMatches(true);
        end
    end );

    CustomMultiFinder_search.title = CustomMultiFinder_search:CreateFontString("title", "OVERLAY");
    CustomMultiFinder_search.title:SetPoint("TOPLEFT",CustomMultiFinder_search,"TOPLEFT",10,-10);
    CustomMultiFinder_search.title:SetFont("Fonts\\FRIZQT__.TTF", 20, "THICKOUTLINE");
    CustomMultiFinder_search.title:SetText("MultiFinder");
    
    CustomMultiFinder_search.Box = createEditBoxFrame("CustomMultiFinder_search.Box", CustomMultiFinder_search, "doom,ven,terr,death", CustomMultiFinder_search:GetWidth() -20, 25, 12, -25);
    CustomMultiFinder_search.Box:Show();

    CustomMultiFinder_search.Role_Tank, CustomMultiFinder_search.Role_Heal, CustomMultiFinder_search.Role_DPS = C_LFGList.GetAvailableRoles();

    CreateRoleCheckBtn(CustomMultiFinder_Role_T,"CustomMultiFinder_Role_T",CustomMultiFinder_search.Role_Tank,
                                                        CustomMultiFinder_search,"INV_Shield_04", -70, -2)
     CustomMultiFinder_Role_T:SetScript("OnClick", function()
                if CustomMultiFinder_search.Role_Tank then
                    CustomMultiFinder_search.Role_Tank = false;
                    CustomMultiFinder_Role_T:UnlockHighlight();
                else
                    CustomMultiFinder_search.Role_Tank = true;
                    CustomMultiFinder_Role_T:LockHighlight();
                end
        end);
    CreateRoleCheckBtn(CustomMultiFinder_Role_H,"CustomMultiFinder_Role_H",CustomMultiFinder_search.Role_Heal,
                                                CustomMultiFinder_search,"Spell_ChargePositive", -40, -2)
    CustomMultiFinder_Role_H:SetScript("OnClick", function()
                if CustomMultiFinder_search.Role_Heal then
                    CustomMultiFinder_search.Role_Heal = false;
                    CustomMultiFinder_Role_H:UnlockHighlight();
                else
                    CustomMultiFinder_search.Role_Heal = true;
                    CustomMultiFinder_Role_H:LockHighlight();
                end
        end);
    CreateRoleCheckBtn(CustomMultiFinder_Role_D,"CustomMultiFinder_Role_D",CustomMultiFinder_search.Role_DPS,
                                                    CustomMultiFinder_search,"Ability_DualWield", -10, -2)
    CustomMultiFinder_Role_D:SetScript("OnClick", function()
                if CustomMultiFinder_search.Role_DPS then
                    CustomMultiFinder_search.Role_DPS = false;
                    CustomMultiFinder_Role_D:UnlockHighlight();
                else
                    CustomMultiFinder_search.Role_DPS = true;
                    CustomMultiFinder_Role_D:LockHighlight();
                end
        end);



     CustomMultiFinder_search.searching_in_lable = CustomMultiFinder_search:CreateFontString("CustomMultiFinder_search.searching_in_lable", "OVERLAY");
     CustomMultiFinder_search.searching_in_lable:SetPoint("BOTTOMLEFT",CustomMultiFinder_search,"BOTTOMLEFT",15,12);
     CustomMultiFinder_search.searching_in_lable:SetFont("Fonts\\FRIZQT__.TTF", 12);
     CustomMultiFinder_search.searching_in_lable:SetText("Search in:");




     CustomMultiFinder_search.Search_Category_Frame = CreateFrame("Frame", "CustomMultiFinder_search.Search_Category_Frame",CustomMultiFinder_search)
     CustomMultiFinder_search.Search_Category_Frame:SetPoint("TOPLEFT",CustomMultiFinder_search,"TOPRIGHT", 0,-20);
     CustomMultiFinder_search.Search_Category_Frame:SetHeight(180)
     CustomMultiFinder_search.Search_Category_Frame:SetWidth(130);
     CustomMultiFinder_search.Search_Category_Frame:SetBackdrop( {
            bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
            --edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
            tile = true,
            tileSize = 32,
            edgeSize = 32,
            insets = { left = 0, right = 0, top = 0, bottom = 0 }
        } );
     CustomMultiFinder_search.Search_Category_Frame:Hide();



     CustomMultiFinder_search.Search_Category = CreateFrame("Button", "CustomMultiFinder_search.Search_Category",CustomMultiFinder_search)
     CustomMultiFinder_search.Search_Category:SetPoint("BOTTOMRIGHT",CustomMultiFinder_search,"BOTTOMRIGHT", -12,9);
     CustomMultiFinder_search.Search_Category.width = 130;
     CustomMultiFinder_search.Search_Category.height = 19;
     CustomMultiFinder_search.Search_Category:SetHeight(CustomMultiFinder_search.Search_Category.height);
     CustomMultiFinder_search.Search_Category:SetWidth(CustomMultiFinder_search.Search_Category.width);
     CustomMultiFinder_search.Search_Category:SetBackdrop( {
            bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
            --edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
            tile = true,
            tileSize = 32,
            edgeSize = 32,
            insets = { left = 0, right = 0, top = 0, bottom = 0}
        } );
     CustomMultiFinder_search.Search_Category.title = CustomMultiFinder_search.Search_Category:CreateFontString("Search_Category_title", "OVERLAY");
     CustomMultiFinder_search.Search_Category.title:SetPoint("CENTER",CustomMultiFinder_search.Search_Category,"CENTER",0,0);
     CustomMultiFinder_search.Search_Category.title:SetFont("Fonts\\FRIZQT__.TTF", 12);
     CustomMultiFinder_search.Search_Category.title:SetText("Custom");
     CustomMultiFinder_search.Search_Category.parent = CustomMultiFinder_search;
     CustomMultiFinder_search.Search_Category.frame = CustomMultiFinder_search.Search_Category_Frame;
     CustomMultiFinder_search.Search_Category:SetScript("OnClick", function(self) if self.frame:IsShown() then self.frame:Hide() else self.frame:Show(); end end);




    CustomMultiFinder_search.SearchID = 6;
        



         CreateAvailableSearch(9,CustomMultiFinder_search,0,0)
         CreateAvailableSearch(7,CustomMultiFinder_search,0,-20)
         CreateAvailableSearch(8,CustomMultiFinder_search,0,-40)
         CreateAvailableSearch(2,CustomMultiFinder_search,0,-60)
         CreateAvailableSearch(1,CustomMultiFinder_search,0,-80)
         CreateAvailableSearch(10,CustomMultiFinder_search,0,-100)
         CreateAvailableSearch(4,CustomMultiFinder_search,0,-120)
         CreateAvailableSearch(6,CustomMultiFinder_search,0,-140)
         CreateAvailableSearch(3,CustomMultiFinder_search,0,-160)





 end    --  CreateAvailableSearch(id,title,parent,category,xOf,yOf)












-------------------------------------------------------------------------------------------------------------------------
do
    --  Minimap Button
    local tFrame = CreateFrame("Button", "CustomMultiFinder_minimap", Minimap);

    function Move(angle)
        mini_x = angle;
        local tXPos, tYPos;
        local tAngle = angle;

        tXPos = 80 * cos(tAngle);
        tYPos = 80 * sin(tAngle);
        CustomMultiFinder_minimap:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 54 - tXPos, tYPos - 54);

    end
    tFrame:SetWidth(31);
    tFrame:SetHeight(31);
    tFrame:SetFrameStrata("LOW");
    tFrame:SetToplevel(true);
    tFrame:SetHighlightTexture("Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight");

    tFrame:SetMovable(true)
    tFrame:SetPoint("TOPLEFT", Minimap, "BOTTOMLEFT", -15, -45);
    tFrame:SetUserPlaced(true)
    tFrame:SetFrameLevel(1000000);
    Move(mini_x or 135);

    local tIcon = tFrame:CreateTexture("InteruptMinimapIcon", "BACKGROUND");
    tIcon:SetTexture("Interface\\Icons\\inv_inscription_scroll");
    tIcon:SetWidth(20)
    tIcon:SetHeight(20)
    tIcon:SetPoint("TOPLEFT", tFrame, "TOPLEFT", 7, -5);
    tFrame:RegisterForClicks("LeftButtonUp", "RightButtonUp");
    tFrame:RegisterForDrag("LeftButton");

    local tIcon = tFrame:CreateTexture("InteruptMinimapIcon", "MEDIUM");
    tIcon:SetTexture("Interface\\Minimap\\MiniMap-TrackingBorder");
    tIcon:SetWidth(50)
    tIcon:SetHeight(50)
    tIcon:SetPoint("TOPLEFT", tFrame, "TOPLEFT", 0, 0);

    tFrame:SetScript("OnEnter", function()
        GameTooltip_SetDefaultAnchor(GameTooltip, UIParent);
        GameTooltip:SetText("MultiFinder");
        GameTooltip:Show();
    end
    )
    tFrame:SetScript("OnLeave", function()
        GameTooltip:Hide()
    end

    )
    tFrame:SetScript("OnDragStart", function()
        CustomMultiFinder_minimap:LockHighlight();
        CustomMultiFinder_minimap:SetScript("OnUpdate", OnUpdate);
    end
    )
    tFrame:SetScript("OnDragStop", function()
        CustomMultiFinder_minimap:SetScript("OnUpdate", nil);
        CustomMultiFinder_minimap:UnlockHighlight();

    end
    )
    function OnUpdate()
        local tXPos, tYPos = GetCursorPosition();
        local tXMin, tYMin = Minimap:GetLeft(), Minimap:GetBottom();
        tXPos = tXMin - tXPos / Minimap:GetEffectiveScale() + 70;
        tYPos = tYPos / Minimap:GetEffectiveScale() - tYMin - 70;

        Move(math.deg(math.atan2(tYPos, tXPos)));
    end
    tFrame:SetScript("OnClick", function()
        if  CustomMultiFinder_search == nil then
             CreateAllFrames();
             CustomMultiFinder_search:Hide();
        end

        if CustomMultiFinder_search:IsShown() then
            CustomMultiFinder_search:Hide();
        else

            CustomMultiFinder_search:Show();
            lookForLFGMatches(true);
        end
    end );
    
    
    tFrame:SetScript("OnLoad", function()
            CustomMultiFinder_search.Role_Tank, CustomMultiFinder_search.Role_Heal, CustomMultiFinder_search.Role_DPS = C_LFGList.GetAvailableRoles();
            CustomMultiFinder_search:Hide();
    end);
    tFrame:Show();
    
    --CustomMultiFinder_search:Hide();


    

end